Index: django/conf/locale/tr/LC_MESSAGES/django.po
===================================================================
--- django/conf/locale/tr/LC_MESSAGES/django.po	(revision 8911)
+++ django/conf/locale/tr/LC_MESSAGES/django.po	(working copy)
@@ -5,8 +5,8 @@
 msgstr ""
 "Project-Id-Version: Django\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2008-09-02 11:41+0300\n"
-"PO-Revision-Date: 2008-09-02 12:13+0200\n"
+"POT-Creation-Date: 2008-09-03 09:44+0300\n"
+"PO-Revision-Date: 2008-09-03 09:41+0200\n"
 "Last-Translator: Metin Amiroff <amiroff@gmail.com>\n"
 "Language-Team: Turkish <bahadir@pardus.org.tr>\n"
 "MIME-Version: 1.0\n"
@@ -290,137 +290,137 @@
 msgid "log entries"
 msgstr "girişleri kaydet"
 
-#: contrib/admin/options.py:59
-#: contrib/admin/options.py:120
+#: contrib/admin/options.py:60
+#: contrib/admin/options.py:121
 msgid "None"
 msgstr "Hiç biri"
 
-#: contrib/admin/options.py:332
+#: contrib/admin/options.py:338
 #, python-format
 msgid "Changed %s."
 msgstr "%s değiştirildi."
 
-#: contrib/admin/options.py:332
-#: contrib/admin/options.py:342
-#: forms/models.py:265
+#: contrib/admin/options.py:338
+#: contrib/admin/options.py:348
+#: forms/models.py:275
 msgid "and"
 msgstr "ve"
 
-#: contrib/admin/options.py:337
+#: contrib/admin/options.py:343
 #, python-format
 msgid "Added %(name)s \"%(object)s\"."
 msgstr "%(name)s \"%(object)s\" eklenmiştir."
 
-#: contrib/admin/options.py:341
+#: contrib/admin/options.py:347
 #, python-format
 msgid "Changed %(list)s for %(name)s \"%(object)s\"."
 msgstr "%(list)s %(name)s \"%(object)s\" ile değiştirildi."
 
-#: contrib/admin/options.py:346
+#: contrib/admin/options.py:352
 #, python-format
 msgid "Deleted %(name)s \"%(object)s\"."
 msgstr "%(name)s \"%(object)s\" silinmiştir."
 
-#: contrib/admin/options.py:350
+#: contrib/admin/options.py:356
 msgid "No fields changed."
 msgstr "Hiçbir alan değiştirilmedi."
 
-#: contrib/admin/options.py:411
+#: contrib/admin/options.py:417
 #: contrib/auth/admin.py:51
 #, python-format
 msgid "The %(name)s \"%(obj)s\" was added successfully."
 msgstr "\"%(obj)s\" isimli %(name)s eklendi."
 
-#: contrib/admin/options.py:415
-#: contrib/admin/options.py:448
+#: contrib/admin/options.py:421
+#: contrib/admin/options.py:454
 #: contrib/auth/admin.py:59
 msgid "You may edit it again below."
 msgstr "Tekrar düzenleyebilirsiniz."
 
-#: contrib/admin/options.py:425
-#: contrib/admin/options.py:458
+#: contrib/admin/options.py:431
+#: contrib/admin/options.py:464
 #, python-format
 msgid "You may add another %s below."
 msgstr "Yeni bir %s ekleyebilirsiniz."
 
-#: contrib/admin/options.py:446
+#: contrib/admin/options.py:452
 #, python-format
 msgid "The %(name)s \"%(obj)s\" was changed successfully."
 msgstr "\"%(obj)s\" isimli %(name)s değiştirildi."
 
-#: contrib/admin/options.py:454
+#: contrib/admin/options.py:460
 #, python-format
 msgid "The %(name)s \"%(obj)s\" was added successfully. You may edit it again below."
 msgstr "\"%(obj)s\" isimli %(name)s eklendi. Aşağıda tekrar düzenleyebilirsiniz."
 
-#: contrib/admin/options.py:530
+#: contrib/admin/options.py:536
 #, python-format
 msgid "Add %s"
 msgstr "%s ekle"
 
-#: contrib/admin/options.py:608
+#: contrib/admin/options.py:614
 #, python-format
 msgid "Change %s"
 msgstr "%s değiştir"
 
-#: contrib/admin/options.py:640
+#: contrib/admin/options.py:646
 msgid "Database error"
 msgstr "Veritabanı hatası"
 
-#: contrib/admin/options.py:690
+#: contrib/admin/options.py:696
 #, python-format
 msgid "The %(name)s \"%(obj)s\" was deleted successfully."
 msgstr "\"%(obj)s\" isimli %(name)s silindi."
 
-#: contrib/admin/options.py:697
+#: contrib/admin/options.py:703
 msgid "Are you sure?"
 msgstr "Emin misiniz?"
 
-#: contrib/admin/options.py:726
+#: contrib/admin/options.py:732
 #, python-format
 msgid "Change history: %s"
 msgstr "%s için değişiklik geçmişi:"
 
-#: contrib/admin/sites.py:18
-#: contrib/admin/views/decorators.py:16
+#: contrib/admin/sites.py:16
+#: contrib/admin/views/decorators.py:14
 #: contrib/auth/forms.py:80
 msgid "Please enter a correct username and password. Note that both fields are case-sensitive."
 msgstr "Lütfen geçerli bir kullanıcı adı ve parola girin. Tüm alanlar büyük/küçük harf duyarlıdır."
 
-#: contrib/admin/sites.py:242
-#: contrib/admin/views/decorators.py:68
-msgid "Please log in again, because your session has expired. Don't worry: Your submission has been saved."
-msgstr "Oturumunuzun süresi geçti. Lütfen tekrar giriş yapın. Endişe etmeyin, gönderiniz kayıt edildi."
+#: contrib/admin/sites.py:227
+#: contrib/admin/views/decorators.py:40
+msgid "Please log in again, because your session has expired."
+msgstr "Oturumunuzun süresi geçti. Lütfen tekrar giriş yapın."
 
-#: contrib/admin/sites.py:249
-#: contrib/admin/views/decorators.py:75
+#: contrib/admin/sites.py:234
+#: contrib/admin/views/decorators.py:47
 msgid "Looks like your browser isn't configured to accept cookies. Please enable cookies, reload this page, and try again."
 msgstr "Görünüşe göre tarayıcınız çerezleri kabul etmiyor. Çerez kullanımını aktif hale getirin ve sayfayı yeniden yükleyin."
 
-#: contrib/admin/sites.py:265
-#: contrib/admin/sites.py:271
-#: contrib/admin/views/decorators.py:94
+#: contrib/admin/sites.py:250
+#: contrib/admin/sites.py:256
+#: contrib/admin/views/decorators.py:66
 msgid "Usernames cannot contain the '@' character."
 msgstr "Kullanıcı isminde '@' karakteri bulunamaz."
 
-#: contrib/admin/sites.py:268
-#: contrib/admin/views/decorators.py:90
+#: contrib/admin/sites.py:253
+#: contrib/admin/views/decorators.py:62
 #, python-format
 msgid "Your e-mail address is not your username. Try '%s' instead."
 msgstr "E-posta adresiniz kullanıcı adınız değil. '%s' kullanın."
 
-#: contrib/admin/sites.py:336
+#: contrib/admin/sites.py:313
 msgid "Site administration"
 msgstr "Site yönetimi"
 
-#: contrib/admin/sites.py:358
-#: contrib/admin/templates/admin/login.html:27
+#: contrib/admin/sites.py:326
+#: contrib/admin/templates/admin/login.html:26
 #: contrib/admin/templates/registration/password_reset_complete.html:14
-#: contrib/admin/views/decorators.py:30
+#: contrib/admin/views/decorators.py:20
 msgid "Log in"
 msgstr "Giriş yap"
 
-#: contrib/admin/sites.py:406
+#: contrib/admin/sites.py:373
 #, python-format
 msgid "%s administration"
 msgstr "%s yönetimi"
@@ -451,11 +451,11 @@
 msgid "Change:"
 msgstr "Değiştir:"
 
-#: contrib/admin/widgets.py:122
+#: contrib/admin/widgets.py:121
 msgid "Lookup"
 msgstr "Arama"
 
-#: contrib/admin/widgets.py:207
+#: contrib/admin/widgets.py:228
 msgid "Add Another"
 msgstr "Yenisini Ekle"
 
@@ -3484,11 +3484,11 @@
 msgid "Enter a valid time in HH:MM[:ss[.uuuuuu]] format."
 msgstr "HH:MM[:ss[.uuuuuu]] formatında geçerli bir saat girin."
 
-#: db/models/fields/related.py:763
+#: db/models/fields/related.py:761
 msgid "Hold down \"Control\", or \"Command\" on a Mac, to select more than one."
 msgstr "\"Ctrl\" ve Mac'de \"Command\" tuşunu basılı tutarak birden fazla seçimde bulunabilirsiniz."
 
-#: db/models/fields/related.py:840
+#: db/models/fields/related.py:838
 #, python-format
 msgid "Please enter valid %(self)s IDs. The value %(value)r is invalid."
 msgid_plural "Please enter valid %(self)s IDs. The values %(value)r are invalid."
@@ -3597,7 +3597,7 @@
 
 #: forms/fields.py:697
 #: forms/fields.py:758
-#: forms/models.py:644
+#: forms/models.py:654
 msgid "Enter a list of values."
 msgstr "Değer listesi giriniz."
 
@@ -3614,17 +3614,17 @@
 msgid "Order"
 msgstr "Sıralama"
 
-#: forms/models.py:258
-#: forms/models.py:267
+#: forms/models.py:268
+#: forms/models.py:277
 #, python-format
 msgid "%(model_name)s with this %(field_label)s already exists."
 msgstr "%(field_label)s alanına sahip %(model_name)s zaten mevcuttur."
 
-#: forms/models.py:574
+#: forms/models.py:584
 msgid "Select a valid choice. That choice is not one of the available choices."
 msgstr "Geçerli bir seçimde bulunun; seçiminiz mevcut değerlerden birisi değil."
 
-#: forms/models.py:645
+#: forms/models.py:655
 #, python-format
 msgid "Select a valid choice. %s is not one of the available choices."
 msgstr "Geçerli bir seçimde bulunun; %s mevcut değerlerden biri değil."
Index: django/conf/locale/tr/LC_MESSAGES/django.mo
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream