diff -r 1f1e091f0f7b docs/ref/generic-views.txt
--- a/docs/ref/generic-views.txt	Wed Sep 03 13:17:54 2008 -0300
+++ b/docs/ref/generic-views.txt	Wed Sep 03 14:42:30 2008 -0300
@@ -868,7 +868,7 @@ The ``django.views.generic.create_update
 The ``django.views.generic.create_update`` module contains a set of functions
 for creating, editing and deleting objects.
 
-**Changed in Django development version:**
+.. versionchanged:: 1.0
 
 ``django.views.generic.create_update.create_object`` and
 ``django.views.generic.create_update.update_object`` now use the new :ref:`forms
diff -r 1f1e091f0f7b docs/ref/models/fields.txt
--- a/docs/ref/models/fields.txt	Wed Sep 03 13:17:54 2008 -0300
+++ b/docs/ref/models/fields.txt	Wed Sep 03 14:42:30 2008 -0300
@@ -571,7 +571,7 @@ can change the maximum length using the 
 
 .. class:: FloatField([**options])
 
-**Changed in Django development version**
+.. versionchanged:: 1.0
 
 A floating-point number represented in Python by a ``float`` instance.
 
diff -r 1f1e091f0f7b docs/ref/models/instances.txt
--- a/docs/ref/models/instances.txt	Wed Sep 03 13:17:54 2008 -0300
+++ b/docs/ref/models/instances.txt	Wed Sep 03 14:42:30 2008 -0300
@@ -35,10 +35,11 @@ To save an object back to the database, 
 
 Of course, there are some subtleties; see the sections below.
 
-**New in Django development version:** The signature of the ``save()`` method
-has changed from earlier versions (``force_insert`` and ``force_update`` have
-been added). If you are overriding these methods, be sure to use the correct
-signature.
+.. versionadded:: 1.0
+
+The signature of the ``save()`` method has changed from earlier versions
+(``force_insert`` and ``force_update`` have been added). If you are overriding
+these methods, be sure to use the correct signature.
 
 Auto-incrementing primary keys
 ------------------------------
diff -r 1f1e091f0f7b docs/ref/models/querysets.txt
--- a/docs/ref/models/querysets.txt	Wed Sep 03 13:17:54 2008 -0300
+++ b/docs/ref/models/querysets.txt	Wed Sep 03 14:42:30 2008 -0300
@@ -176,12 +176,15 @@ ordering may well be exactly what you wa
 ordering may well be exactly what you want to do. Use ordering on multi-valued
 fields with care and make sure the results are what you expect.
 
-**New in Django development version:** If you don't want any ordering to be
-applied to a query, not even the default ordering, call ``order_by()`` with no
-parameters.
+.. versionadded:: 1.0
 
-**New in Django development version:** The syntax for ordering across related
-models has changed. See the `Django 0.96 documentation`_ for the old behaviour.
+If you don't want any ordering to be applied to a query, not even the default
+ordering, call ``order_by()`` with no parameters.
+
+.. versionadded:: 1.0
+
+The syntax for ordering across related models has changed. See the `Django 0.96
+documentation`_ for the old behaviour.
 
 .. _Django 0.96 documentation: http://www.djangoproject.com/documentation/0.96/model-api/#floatfield
 
@@ -291,8 +294,10 @@ A couple of subtleties that are worth me
       ordering can affect the results. See the note in the `distinct()`_
       section, above, for details.
 
-**New in Django development version:** Previously, it was not possible to pass
-``blog_id`` to ``values()`` in the above example, only ``blog``.
+.. versionadded:: 1.0
+
+Previously, it was not possible to pass ``blog_id`` to ``values()`` in the above
+example, only ``blog``.
 
 A ``ValuesQuerySet`` is useful when you know you're only going to need values
 from a small number of the available fields and you won't need the
@@ -314,7 +319,7 @@ individualism.
 ``values_list(*fields)``
 ~~~~~~~~~~~~~~~~~~~~~~~~
 
-**New in Django development version**
+.. versionadded:: 1.0
 
 This is similar to ``values()`` except that instead of returning a list of
 dictionaries, it returns a list of tuples. Each tuple contains the value from
@@ -459,7 +464,8 @@ follow::
     c = p.hometown       # Requires a database call.
 
 .. versionadded:: 1.0
-   The ``depth`` argument is new in the Django development version.
+
+The ``depth`` argument is new in Django version 1.0.
 
 ``extra(select=None, where=None, params=None, tables=None, order_by=None, select_params=None)``
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
diff -r 1f1e091f0f7b docs/topics/db/models.txt
--- a/docs/topics/db/models.txt	Wed Sep 03 13:17:54 2008 -0300
+++ b/docs/topics/db/models.txt	Wed Sep 03 14:42:30 2008 -0300
@@ -528,7 +528,7 @@ for details.
 
 .. _One-to-one relationship model example: http://www.djangoproject.com/documentation/models/one_to_one/
 
-**New in Django development version**
+.. versionadded:: 1.0
 
 :class:`~django.db.models.OneToOneField` fields also accept one optional argument
 described in the :ref:`model field reference <ref-onetoone>`.