Index: django/contrib/comments/templates/comments/approve.html
===================================================================
--- django/contrib/comments/templates/comments/approve.html	(wersja 8962)
+++ django/contrib/comments/templates/comments/approve.html	(kopia robocza)
@@ -1,14 +1,15 @@
 {% extends "comments/base.html" %}
+{% load i18n %}
 
-{% block title %}Approve a comment{% endblock %}
+{% block title %}{% trans "Approve a comment" %}{% endblock %}
 
 {% block content %}
-  <h1>Really make this comment public?</h1>
+  <h1>{% trans "Really make this comment public?" %}</h1>
   <blockquote>{{ comment|escape|linebreaks }}</blockquote>
   <form action="." method="POST">
     <input type="hidden" name="next" value="{{ next|escape }}" id="next">
     <p class="submit">
-      <input type="submit" name="submit" value="Approve"> or <a href="{{ comment.permalink }}">cancel</a>
+      <input type="submit" name="submit" value="{% trans "Approve" %}"> {% trans "or" %} <a href="{{ comment.permalink }}">{% trans "cancel" %}</a>
     </p>
   </form>
-{% endblock %}
\ No newline at end of file
+{% endblock %}
Index: django/contrib/comments/templates/comments/reply_preview.html
===================================================================
--- django/contrib/comments/templates/comments/reply_preview.html	(wersja 8962)
+++ django/contrib/comments/templates/comments/reply_preview.html	(kopia robocza)
@@ -1,17 +1,18 @@
 {% extends "comments/base.html" %}
+{% load i18n %}
 
-{% block title %}Preview your comment{% endblock %}
+{% block title %}{% trans "Preview your comment" %}{% endblock %}
 
 {% block content %}
   {% load comments %}
   <form action="{% comment_form_target %}" method="POST">
     {% if form.errors %}
-      <h1>Please correct the error{{ form.errors|pluralize }} below</h1>
+      <h1>{% blocktrans count form.errors|length as counter %}Please correct the error below{% plural %}Please correct the errors below{% endblocktrans %}</h1>
     {% else %}
-      <h1>Preview your comment</h1>
+      <h1>{% trans "Preview your comment" %}</h1>
       <blockquote>{{ comment|escape|linebreaks }}</blockquote>
       <p>
-        and <input type="submit" name="submit" value="Post your comment" id="submit"> or make changes:
+        {% trans "and" %} <input type="submit" name="submit" value="{% trans "Post your comment" %}" id="submit"> {% trans "or make changes" %}:
       </p>
     {% endif %}
     {% for field in form %}
@@ -27,8 +28,8 @@
       {% endif %}
     {% endfor %}
     <p class="submit">
-      <input type="submit" name="submit" class="submit-post" value="Post">
-      <input type="submit" name="submit" class="submit-preview" value="Preview">
+      <input type="submit" name="submit" class="submit-post" value="{% trans "Post" %}">
+      <input type="submit" name="submit" class="submit-preview" value="{% trans "Preview" %}">
     </p>
   </form>
 {% endblock %}
Index: django/contrib/comments/templates/comments/posted.html
===================================================================
--- django/contrib/comments/templates/comments/posted.html	(wersja 8962)
+++ django/contrib/comments/templates/comments/posted.html	(kopia robocza)
@@ -1,7 +1,8 @@
 {% extends "comments/base.html" %}
+{% load i18n %}
 
-{% block title %}Thanks for commenting.{% endblock %}
+{% block title %}{% trans "Thanks for commenting" %}.{% endblock %}
 
 {% block content %}
-  <h1>Thank you for your comment.</h1>
-{% endblock %}
\ No newline at end of file
+  <h1>{% trans "Thank you for your comment" %}.</h1>
+{% endblock %}
Index: django/contrib/comments/templates/comments/approved.html
===================================================================
--- django/contrib/comments/templates/comments/approved.html	(wersja 8962)
+++ django/contrib/comments/templates/comments/approved.html	(kopia robocza)
@@ -1,7 +1,8 @@
 {% extends "comments/base.html" %}
+{% load i18n %}
 
-{% block title %}Thanks for approving.{% endblock %}
+{% block title %}{% trans "Thanks for approving" %}.{% endblock %}
 
 {% block content %}
-  <h1>Thanks for taking the time to improve the quality of discussion on our site.</h1>
-{% endblock %}
\ No newline at end of file
+  <h1>{% trans "Thanks for taking the time to improve the quality of discussion on our site" %}.</h1>
+{% endblock %}
Index: django/contrib/comments/templates/comments/preview.html
===================================================================
--- django/contrib/comments/templates/comments/preview.html	(wersja 8962)
+++ django/contrib/comments/templates/comments/preview.html	(kopia robocza)
@@ -1,17 +1,18 @@
 {% extends "comments/base.html" %}
+{% load i18n %}
 
-{% block title %}Preview your comment{% endblock %}
+{% block title %}{% trans "Preview your comment" %}{% endblock %}
 
 {% block content %}
   {% load comments %}
   <form action="{% comment_form_target %}" method="POST">
     {% if form.errors %}
-      <h1>Please correct the error{{ form.errors|pluralize }} below</h1>
+      <h1>{% blocktrans count form.errors|length as counter %}Please correct the error below{% plural %}Please correct the errors below{% endblocktrans %}</h1>
     {% else %}
-      <h1>Preview your comment</h1>
+      <h1>{% trans "Preview your comment" %}</h1>
       <blockquote>{{ comment|escape|linebreaks }}</blockquote>
       <p>
-        and <input type="submit" name="submit" value="Post your comment" id="submit"> or make changes:
+        {% trans "and" %} <input type="submit" name="submit" value="{% trans "Post your comment" %}" id="submit"> {% trans "or make changes" %}:
       </p>
     {% endif %}
     {% for field in form %}
@@ -27,8 +28,8 @@
       {% endif %}
     {% endfor %}
     <p class="submit">
-      <input type="submit" name="submit" class="submit-post" value="Post">
-      <input type="submit" name="submit" class="submit-preview" value="Preview">
+      <input type="submit" name="submit" class="submit-post" value="{% trans "Post" %}">
+      <input type="submit" name="submit" class="submit-preview" value="{% trans "Preview" %}">
     </p>
   </form>
-{% endblock %}
\ No newline at end of file
+{% endblock %}
Index: django/contrib/comments/templates/comments/delete.html
===================================================================
--- django/contrib/comments/templates/comments/delete.html	(wersja 8962)
+++ django/contrib/comments/templates/comments/delete.html	(kopia robocza)
@@ -1,14 +1,15 @@
 {% extends "comments/base.html" %}
+{% load i18n %}
 
-{% block title %}Remove a comment{% endblock %}
+{% block title %}{% trans "Remove a comment" %}{% endblock %}
 
 {% block content %}
-  <h1>Really remove this comment?</h1>
+  <h1>{% trans "Really remove this comment?" %}</h1>
   <blockquote>{{ comment|escape|linebreaks }}</blockquote>
   <form action="." method="POST">
     <input type="hidden" name="next" value="{{ next|escape }}" id="next">
     <p class="submit">
-      <input type="submit" name="submit" value="Remove"> or <a href="{{ comment.permalink }}">cancel</a>
+      <input type="submit" name="submit" value="{% trans "Remove" %}"> {% trans "or" %} <a href="{{ comment.permalink }}">{% trans "cancel" %}</a>
     </p>
   </form>
-{% endblock %}
\ No newline at end of file
+{% endblock %}
Index: django/contrib/comments/templates/comments/form.html
===================================================================
--- django/contrib/comments/templates/comments/form.html	(wersja 8962)
+++ django/contrib/comments/templates/comments/form.html	(kopia robocza)
@@ -1,4 +1,5 @@
 {% load comments %}
+{% load i18n %}
 <form action="{% comment_form_target %}" method="POST">
   {% for field in form %}
     {% if field.is_hidden %}
@@ -13,7 +14,7 @@
     {% endif %}
   {% endfor %}
   <p class="submit">
-    <input type="submit" name="submit" class="submit-post" value="Post" />
-    <input type="submit" name="submit" class="submit-preview" value="Preview" />
+    <input type="submit" name="submit" class="submit-post" value="{% trans "Post" %}" />
+    <input type="submit" name="submit" class="submit-preview" value="{% trans "Preview" %}" />
   </p>
 </form>
Index: django/contrib/comments/templates/comments/moderation_queue.html
===================================================================
--- django/contrib/comments/templates/comments/moderation_queue.html	(wersja 8962)
+++ django/contrib/comments/templates/comments/moderation_queue.html	(kopia robocza)
@@ -1,7 +1,8 @@
 {% extends "admin/change_list.html" %}
+{% load i18n %}
 {% load adminmedia %}
 
-{% block title %}Comment moderation queue{% endblock %}
+{% block title %}{% trans "Comment moderation queue" %}{% endblock %}
 
 {% block extrahead %}
   {{ block.super }}
@@ -16,28 +17,28 @@
 {% endblock %}
 
 {% block branding %}
-<h1 id="site-name">Comment moderation queue</h1>
+<h1 id="site-name">{% trans "Comment moderation queue" %}</h1>
 {% endblock %}
 
 {% block breadcrumbs %}{% endblock %}
 
 {% block content %}
 {% if empty %}
-  <p id="nocomments">No comments to moderate.</div>
+  <p id="nocomments">{% trans "No comments to moderate" %}.</div>
 {% else %}
 <div id="content-main">
   <div class="module" id="changelist">
     <table cellspacing="0">
       <thead>
         <tr>
-          <th>Action</th>
-          <th>Name</th>
-          <th>Comment</th>
-          <th>Email</th>
-          <th>URL</th>
-          <th>Authenticated?</th>
-          <th>IP Address</th>
-          <th class="sorted desc">Date posted</th>
+          <th>{% trans "Action" %}</th>
+          <th>{% trans "Name" %}</th>
+          <th>{% trans "Comment" %}</th>
+          <th>{% trans "Email" %}</th>
+          <th>{% trans "URL" %}</th>
+          <th>{% trans "Authenticated?" %}</th>
+          <th>{% trans "IP Address" %}</th>
+          <th class="sorted desc">{% trans "Date posted" %}</th>
         </tr>
     </thead>
     <tbody>
@@ -46,11 +47,11 @@
           <td class="actions">
             <form action="{% url comments-approve comment.pk %}" method="POST">
               <input type="hidden" name="next" value="{% url comments-moderation-queue %}">
-              <input class="approve submit" type="submit" name="submit" value="Approve">
+              <input class="approve submit" type="submit" name="submit" value="{% trans "Approve" %}">
             </form>
             <form action="{% url comments-delete comment.pk %}" method="POST">
               <input type="hidden" name="next" value="{% url comments-moderation-queue %}">
-              <input class="remove submit" type="submit" name="submit" value="Remove">
+              <input class="remove submit" type="submit" name="submit" value="{% trans "Remove" %}">
             </form>
           </td>
           <td>{{ comment.name|escape }}</td>
@@ -60,7 +61,7 @@
           <td>
             <img
               src="{% admin_media_prefix %}img/admin/icon-{% if comment.user %}yes{% else %}no{% endif %}.gif"
-              alt="{% if comment.user %}yes{% else %}no{% endif %}"
+              alt="{% if comment.user %}{% trans "yes" %}{% else %}{% trans "no" %}{% endif %}"
             />
           </td>
           <td>{{ comment.ip_address|escape }}</td>
Index: django/contrib/comments/templates/comments/deleted.html
===================================================================
--- django/contrib/comments/templates/comments/deleted.html	(wersja 8962)
+++ django/contrib/comments/templates/comments/deleted.html	(kopia robocza)
@@ -1,7 +1,8 @@
 {% extends "comments/base.html" %}
+{% load i18n %}
 
-{% block title %}Thanks for removing.{% endblock %}
+{% block title %}{% trans "Thanks for removing" %}.{% endblock %}
 
 {% block content %}
-  <h1>Thanks for taking the time to improve the quality of discussion on our site.</h1>
-{% endblock %}
\ No newline at end of file
+  <h1>{% trans "Thanks for taking the time to improve the quality of discussion on our site" %}.</h1>
+{% endblock %}
Index: django/contrib/comments/templates/comments/flag.html
===================================================================
--- django/contrib/comments/templates/comments/flag.html	(wersja 8962)
+++ django/contrib/comments/templates/comments/flag.html	(kopia robocza)
@@ -1,14 +1,15 @@
 {% extends "comments/base.html" %}
+{% load i18n %}
 
-{% block title %}Flag this comment{% endblock %}
+{% block title %}{% trans "Flag this comment" %}{% endblock %}
 
 {% block content %}
-  <h1>Really flag this comment?</h1>
+  <h1>{% trans "Really flag this comment?" %}</h1>
   <blockquote>{{ comment|escape|linebreaks }}</blockquote>
   <form action="." method="POST">
     <input type="hidden" name="next" value="{{ next|escape }}" id="next">
     <p class="submit">
-      <input type="submit" name="submit" value="Flag"> or <a href="{{ comment.permalink }}">cancel</a>
+      <input type="submit" name="submit" value="{% trans "Flag" %}"> {% trans "or" %} <a href="{{ comment.permalink }}">{% trans "cancel" %}</a>
     </p>
   </form>
-{% endblock %}
\ No newline at end of file
+{% endblock %}
Index: django/contrib/comments/templates/comments/flagged.html
===================================================================
--- django/contrib/comments/templates/comments/flagged.html	(wersja 8962)
+++ django/contrib/comments/templates/comments/flagged.html	(kopia robocza)
@@ -1,7 +1,8 @@
 {% extends "comments/base.html" %}
+{% load i18n %}
 
-{% block title %}Thanks for flagging.{% endblock %}
+{% block title %}{% trans "Thanks for flagging" %}.{% endblock %}
 
 {% block content %}
-  <h1>Thanks for taking the time to improve the quality of discussion on our site.</h1>
-{% endblock %}
\ No newline at end of file
+  <h1>{% trans "Thanks for taking the time to improve the quality of discussion on our site" %}.</h1>
+{% endblock %}
Index: django/contrib/comments/templates/comments/reply.html
===================================================================
--- django/contrib/comments/templates/comments/reply.html	(wersja 8962)
+++ django/contrib/comments/templates/comments/reply.html	(kopia robocza)
@@ -1,4 +1,5 @@
 {% load comments %}
+{% load i18n %}
 <form action="{% comment_form_target %}" method="POST">
   {% for field in form %}
     {% if field.is_hidden %}
@@ -13,7 +14,7 @@
     {% endif %}
   {% endfor %}
   <p class="submit">
-    <input type="submit" name="submit" class="submit-post" value="Reply">
-    <input type="submit" name="submit" class="submit-preview" value="Preview">
+    <input type="submit" name="submit" class="submit-post" value="{% trans "Reply" %}">
+    <input type="submit" name="submit" class="submit-preview" value="{% trans "Preview" %}">
   </p>
 </form>