Index: django/contrib/comments/templates/comments/approve.html
===================================================================
--- django/contrib/comments/templates/comments/approve.html	(wersja 8962)
+++ django/contrib/comments/templates/comments/approve.html	(kopia robocza)
@@ -6,9 +6,9 @@
   <h1>Really make this comment public?</h1>
   <blockquote>{{ comment|escape|linebreaks }}</blockquote>
   <form action="." method="POST">
-    <input type="hidden" name="next" value="{{ next|escape }}" id="next">
+    <input type="hidden" name="next" value="{{ next|escape }}" id="next" />
     <p class="submit">
-      <input type="submit" name="submit" value="Approve"> or <a href="{{ comment.permalink }}">cancel</a>
+      <input type="submit" name="submit" value="Approve" /> or <a href="{{ comment.permalink }}">cancel</a>
     </p>
   </form>
-{% endblock %}
\ No newline at end of file
+{% endblock %}
Index: django/contrib/comments/templates/comments/preview.html
===================================================================
--- django/contrib/comments/templates/comments/preview.html	(wersja 8962)
+++ django/contrib/comments/templates/comments/preview.html	(kopia robocza)
@@ -27,8 +27,8 @@
       {% endif %}
     {% endfor %}
     <p class="submit">
-      <input type="submit" name="submit" class="submit-post" value="Post">
-      <input type="submit" name="submit" class="submit-preview" value="Preview">
+      <input type="submit" name="submit" class="submit-post" value="Post" />
+      <input type="submit" name="submit" class="submit-preview" value="Preview" />
     </p>
   </form>
-{% endblock %}
\ No newline at end of file
+{% endblock %}
Index: django/contrib/comments/templates/comments/delete.html
===================================================================
--- django/contrib/comments/templates/comments/delete.html	(wersja 8962)
+++ django/contrib/comments/templates/comments/delete.html	(kopia robocza)
@@ -6,9 +6,9 @@
   <h1>Really remove this comment?</h1>
   <blockquote>{{ comment|escape|linebreaks }}</blockquote>
   <form action="." method="POST">
-    <input type="hidden" name="next" value="{{ next|escape }}" id="next">
+    <input type="hidden" name="next" value="{{ next|escape }}" id="next" />
     <p class="submit">
-      <input type="submit" name="submit" value="Remove"> or <a href="{{ comment.permalink }}">cancel</a>
+      <input type="submit" name="submit" value="Remove" /> or <a href="{{ comment.permalink }}">cancel</a>
     </p>
   </form>
-{% endblock %}
\ No newline at end of file
+{% endblock %}
Index: django/contrib/comments/templates/comments/moderation_queue.html
===================================================================
--- django/contrib/comments/templates/comments/moderation_queue.html	(wersja 8962)
+++ django/contrib/comments/templates/comments/moderation_queue.html	(kopia robocza)
@@ -23,7 +23,7 @@
 
 {% block content %}
 {% if empty %}
-  <p id="nocomments">No comments to moderate.</div>
+  <p id="nocomments">No comments to moderate.</p>
 {% else %}
 <div id="content-main">
   <div class="module" id="changelist">
@@ -45,12 +45,12 @@
         <tr class="{% cycle 'row1' 'row2' %}">
           <td class="actions">
             <form action="{% url comments-approve comment.pk %}" method="POST">
-              <input type="hidden" name="next" value="{% url comments-moderation-queue %}">
-              <input class="approve submit" type="submit" name="submit" value="Approve">
+              <input type="hidden" name="next" value="{% url comments-moderation-queue %}" />
+              <input class="approve submit" type="submit" name="submit" value="Approve" />
             </form>
             <form action="{% url comments-delete comment.pk %}" method="POST">
-              <input type="hidden" name="next" value="{% url comments-moderation-queue %}">
-              <input class="remove submit" type="submit" name="submit" value="Remove">
+              <input type="hidden" name="next" value="{% url comments-moderation-queue %}" />
+              <input class="remove submit" type="submit" name="submit" value="Remove" />
             </form>
           </td>
           <td>{{ comment.name|escape }}</td>
Index: django/contrib/comments/templates/comments/flag.html
===================================================================
--- django/contrib/comments/templates/comments/flag.html	(wersja 8962)
+++ django/contrib/comments/templates/comments/flag.html	(kopia robocza)
@@ -6,9 +6,9 @@
   <h1>Really flag this comment?</h1>
   <blockquote>{{ comment|escape|linebreaks }}</blockquote>
   <form action="." method="POST">
-    <input type="hidden" name="next" value="{{ next|escape }}" id="next">
+    <input type="hidden" name="next" value="{{ next|escape }}" id="next" />
     <p class="submit">
-      <input type="submit" name="submit" value="Flag"> or <a href="{{ comment.permalink }}">cancel</a>
+      <input type="submit" name="submit" value="Flag" /> or <a href="{{ comment.permalink }}">cancel</a>
     </p>
   </form>
-{% endblock %}
\ No newline at end of file
+{% endblock %}
Index: django/contrib/comments/templates/comments/reply.html
===================================================================
--- django/contrib/comments/templates/comments/reply.html	(wersja 8962)
+++ django/contrib/comments/templates/comments/reply.html	(kopia robocza)
@@ -13,7 +13,7 @@
     {% endif %}
   {% endfor %}
   <p class="submit">
-    <input type="submit" name="submit" class="submit-post" value="Reply">
-    <input type="submit" name="submit" class="submit-preview" value="Preview">
+    <input type="submit" name="submit" class="submit-post" value="Reply" />
+    <input type="submit" name="submit" class="submit-preview" value="Preview" />
   </p>
 </form>